Skip to navigation

Create envelope transfer rule

View as Markdown

This method creates an envelope transfer rule.

When you create an envelope transfer rule, you specify the following properties:

  • eventType
  • fromGroups
  • toUser
  • toFolder
  • carbonCopyOriginalOwner
  • enabled

Note: Only Administrators can create envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: envelopeTransferRuleRequest

carbonCopyOriginalOwnerstringOptional

When true, the original owner is added as a carbon copy recipient after envelope transfer. The default value is false.

enabledstringOptional

When true, the envelope transfer rule is active.

envelopeTransferRuleIdstringOptional
The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
eventTypestringOptional

The type of envelope event that triggers the transfer. Valid values are:

  • sent
  • beforeSent
  • completed
fromGroupslist of objectsOptional
Information about the group that triggers the transfer.
fromUserslist of objectsOptional
Information about the user who triggers the transfer.
modifiedDatestringOptional

The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.

modifiedUserobjectOptional
User information.
toFolderobjectOptional
This object contains details about a folder.
toUserobjectOptional
User information.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
envelopeTransferRuleslist of objectsOptional
Contains information about a specific envelope transfer rule.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Errors

400
Bad Request Error